View Issue Details

IDProjectCategoryView StatusLast Update
0008771VALENTINA SERVERAPIpublic2020-05-05 13:47
ReporterFrançois Van LerbergheAssigned ToIvan Smahin 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionreopened 
PlatformINTELOSWindowsOS Version10
Product Version10.0.x 
Target VersionFixed in Version10.2.x 
Summary0008771: vServer.Restart command shutdown the server but doesn't restart it in Windows
DescriptionThe vServer.Restart API command shutdown the server but doesn't restart it in Windows.
Steps To ReproducePlay with the example "ValentinaServerUtility"
Connect
Restart
The server isn't restarted.
Additional InformationPerhaps same issue than 0008724 (vServer.Restart command shutdown the server but doesn't restart it). That bug report was related to MacOS ans was fixed on MacOS but not on WindowsOS.
TagsNo tags attached.

Relationships

has duplicate 0008772 closedIvan Smahin Bonjour thread error when stopping the server in Windows 

Activities

François Van Lerberghe

François Van Lerberghe

2020-04-18 07:43

reporter   ~0011221

Below are the last lines of the log file with verbose = 3 :
Fri Apr 17 2020 17:39:11.150000 (TID 16356): Restart request received...
Fri Apr 17 2020 17:39:12.151000 (TID 16356): (UID 1100) Closing vClient-connection. ( vClient-connections count: '0'. Available: '10')
Fri Apr 17 2020 17:39:12.152000 (TID 15708): Bonjour service unregistered
Fri Apr 17 2020 17:39:12.152000 (TID 10248): Bonjour thread error returned -65563
Fri Apr 17 2020 17:39:12.157000 (TID 15708): Database 'master' closed
Fri Apr 17 2020 17:39:12.168000 (TID 15708): Database kernel terminated

The server is stopped, but it doesn't restart
François Van Lerberghe

François Van Lerberghe

2020-05-01 12:31

reporter   ~0011230

Just tried with the newest release 10.1.3 and this is not fixed.
The command API "myVServer.Restart" freeze the server and doesn't restart it on Windows. I have a Log file with verbose level = 3 if you want it.
These are the last lines :
Fri May 1 2020 12:08:09.582000 (TID 15128): Restart request received...
Fri May 1 2020 12:08:10.583000 (TID 15128): (UID 904) Closing vClient-connection. ( vClient-connections count: '0'. Available: '10')
Fri May 1 2020 12:08:13.699000 (TID 15500): Bonjour service unregistered
Fri May 1 2020 12:08:13.703000 (TID 15500): Database 'master' closed
Fri May 1 2020 12:08:13.707000 (TID 15500): Database kernel terminated
Ivan Smahin

Ivan Smahin

2020-05-03 11:54

manager   ~0011232

Yes, please send me vServer's log
Ivan Smahin

Ivan Smahin

2020-05-03 11:57

manager   ~0011233

Have you tried to restart vServer using our example?

V4RB/Examples/Advanced/ValentinaServerUtility/ValentinaServerUtility.xojo_binary_project
Ivan Smahin

Ivan Smahin

2020-05-03 13:50

manager   ~0011234

Also, send me please vServer’s ini file
François Van Lerberghe

François Van Lerberghe

2020-05-04 09:51

reporter   ~0011237

Server restart work well using the Windows application Services.exe and with release 10.1.3
Server restart command via API (VServer.Restart in ValentinaServerUtility, compiled with Xojo 2019r1.1 on Windows 10) doesn't work : it freeze VServer. I cannot use ValentinaServerUtility anymore to reconnect to the server. I must use the Services app to force stop (as previously said, after a long period trying to stop, an error message is displayed) and restart the VServer_x64 service.
Joined 2 complete Log files :
1) Using ValentinaServerUtility restart API command
2) Using the windows application Services.exe, clicking on Restart button

VServer_x64_20200504_104538_RestartViaAPI.log (6,232 bytes)
VServer_x64_20200504_110243_RestartViaServices.log (4,236 bytes)
François Van Lerberghe

François Van Lerberghe

2020-05-04 09:52

reporter   ~0011238

Here is the init file.

VServer_x64.ini (5,557 bytes)

Issue History

Date Modified Username Field Change
2020-04-17 16:34 François Van Lerberghe New Issue
2020-04-18 07:43 François Van Lerberghe Note Added: 0011221
2020-04-19 08:23 Ivan Smahin Assigned To => Ivan Smahin
2020-04-19 08:23 Ivan Smahin Status new => resolved
2020-04-19 08:23 Ivan Smahin Resolution open => fixed
2020-04-19 08:23 Ivan Smahin Fixed in Version => 10.1.x
2020-04-20 11:42 Ivan Smahin Relationship added has duplicate 0008772
2020-05-01 12:31 François Van Lerberghe Status resolved => feedback
2020-05-01 12:31 François Van Lerberghe Resolution fixed => reopened
2020-05-01 12:31 François Van Lerberghe Note Added: 0011230
2020-05-03 11:54 Ivan Smahin Note Added: 0011232
2020-05-03 11:57 Ivan Smahin Note Added: 0011233
2020-05-03 13:50 Ivan Smahin Note Added: 0011234
2020-05-04 09:51 François Van Lerberghe File Added: VServer_x64_20200504_104538_RestartViaAPI.log
2020-05-04 09:51 François Van Lerberghe File Added: VServer_x64_20200504_110243_RestartViaServices.log
2020-05-04 09:51 François Van Lerberghe Note Added: 0011237
2020-05-04 09:51 François Van Lerberghe Status feedback => assigned
2020-05-04 09:52 François Van Lerberghe File Added: VServer_x64.ini
2020-05-04 09:52 François Van Lerberghe Note Added: 0011238
2020-05-05 13:47 Ivan Smahin Status assigned => resolved
2020-05-05 13:47 Ivan Smahin Fixed in Version 10.1.x => 10.2.x